from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('api/admin/', admin.site.urls),
    # djoser library is a REST implementation of Django authentication system
    # url of API
    path('api/selah/', include('djoser.urls')),
    path('api/selah/', include('djoser.urls.authtoken')),
    # include app urls --can check api endpoints at http://localhost:8000/api/selah/app-specific-urls
    path('api/selah/', include ('users_app.urls')),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

admin.site.site_header = 'Selah'
admin.site.index_title = 'Selah Administration'
admin.site.site_title = 'Selah'